<?php
/**
 * JComments - Joomla Comment System
 *
 * Enable auto-subscribe feature for authors of commented objects
 *
 * @version 1.0
 * @package JComments
 * @author Sergey M. Litvinov (smart@joomlatune.ru)
 * @copyright (C) 2006-2008 by Sergey M. Litvinov (http://www.joomlatune.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 * If you fork this to create your own project, 
 * please make a reference to JComments someplace in your code 
 * and provide a link to http://www.joomlatune.ru
 **/

// ensure this file is being included by a parent file
(defined('_VALID_MOS') OR defined('_JEXEC')) or die('Direct Access to this location is not allowed.');

// if component doesnt exists (may be already uninstalled) - return
if (!defined( 'JCOMMENTS_JVERSION' )) { return; }

if (JCOMMENTS_JVERSION == '1.0') {
	global $_MAMBOTS;
	$_MAMBOTS->registerFunction('onAfterCommentAdded', 'plgJCommentsAutoSubscribe');
} else if (JCOMMENTS_JVERSION == '1.5') {
	global $mainframe;
	$mainframe->registerEvent('onAfterCommentAdded', 'plgJCommentsAutoSubscribe');
}

function plgJCommentsAutoSubscribe( &$comment, &$response, &$allowed )
{
        require_once (JCOMMENTS_HELPERS . DS . 'plugin.php');
        $pluginParams = JCommentsPluginHelper::getParams('jcomments.autosubscribe', 'jcomments');

        $object_groups = trim($pluginParams->get('object_group', ''));

        // check is comment's group enabled in plugin settings
        if (strpos($object_groups, $comment->object_group) !== false) {

        	// get total comments count for an object
        	$count = JComments::getCommentsCount($comment->object_id, $comment->object_group);

	        // check that this is first comment to the object
        	if ($count == 1) {
                	// get object's owner id
		        $owner = JCommentsObjectHelper::getOwner($comment->object_id, $comment->object_group);
        
        	        // if owner id found - subscribe owner to new comments
        		if ($owner > 0 && $owner != $comment->userid) {
				require_once (JCOMMENTS_BASE . DS . 'jcomments.subscription.php');
				$manager = & JCommentsSubscriptionManager::getInstance();
				$manager->subscribe($comment->object_id, $comment->object_group, $owner);
			}
		}
	}
	return;
} 
?>